Bug 733777 - [abrt] evolution-3.0.2-3.fc15: g_object_unref: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-3.0.2-3.fc15: g_object_unref: Process /usr/bin/evolution was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:32cf191fd4cc1f52fe01a38f5ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 19:40 UTC by Olivier Crête
Modified: 2012-08-07 17:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:05:48 UTC


Attachments (Terms of Use)
File: dso_list (20.91 KB, text/plain)
2011-08-26 19:40 UTC, Olivier Crête
no flags Details
File: backtrace (54.77 KB, text/plain)
2011-08-26 19:41 UTC, Olivier Crête
no flags Details
File: maps (76.87 KB, text/plain)
2011-08-26 19:41 UTC, Olivier Crête
no flags Details

Description Olivier Crête 2011-08-26 19:40:38 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        evolution
comment:        Came back from lunch, tried to open an email, it crashed
component:      evolution
crash_function: g_object_unref
executable:     /usr/bin/evolution
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        evolution-3.0.2-3.fc15
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Fri Aug 26 14:26:01 2011
uid:            500
username:       ocrete

backtrace:      Text file, 56081 bytes
dso_list:       Text file, 21409 bytes
maps:           Text file, 78719 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:322cc067521977fd7ed993ef863b5a13d702b4ac
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:1ba57a696637c1e23edecbd851a292f85214b29c
:72aa5791eda644939adb98d7348039ffc0f94e9d
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:1916190a2901d92261cb9eccc802f5e31506a7ae
:89017ab0b75e533e4294f74ee8f7db3daceea536
:35b28d014659e2dbca460859b84c985e03695724
:d0c6e13f00a20952a72a945c929efb175fd760e3
:e8aaae1a9b4e574cdbbe8d9687a1e6000e1f8c52
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:9cd020ec2107c08febe2c8fcabd158212c207854
:b03d7dfdb0f88fbcb590eb7ad2feb9b6a98968a5
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:6fa1808f7ed09e76c8b9ffe8be6a6567c77ef3bf
:39775f982a2975e5a55f59bb1164ad71da0388fd
:e4873c100b658e558162c9eed7f09018cd833bbc
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:a2960147ad19dd5da7908715cddbc33e005dd309
:c57c5c1023aaeeda4eeed25c4f8c42ed14c89f26
:aaf62304b0fc10611d35b4f56005479d4c58868d
:ae8e77c4c74c226abb48109e71badeb5e504a79c
:d9240d1c81e541609c76f43640d3feab3bc63934
:13ff10a075f084abf260b9dd96618c1037ba3d75
:552c6a93aee798ae600a5544eb058e544c9254c2
:0b509ba0261dcc0d9a77b310f0ff97aceedc166b
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:a7f1c18b1ea74748c739d5dc04cf55c46358f641
:fdc09328fea3e060c8a504a8291555b4cd19172a
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:956ba7c4c0243aa4db242c7374401f1e2aa19272
:1d87720659528ad80e8870da2b2bb4af4470cf66
:91689252818532ec13597b6528d38be93b2706c4
:f6c38cf4497775cf452aa083229ac15091f7c69f
:5e7c7237a025f271e5ed1418cb23420764b09725
:2a30fbea662908cb9fae961a6c6550a2262d74d6
:4cc726755f9c6109f86498735196d100d835bf68
:a1e830e235d2a6f79aa34cf229c8067d7f225521
:37e9a5082aa040154f88249741abadb679feadc5
:3efa90a1dfea76e986419cc678c07b368c6afde2
:b450b9f89c3a4b0d01ac1627aabe03c683280c1f
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:3d26f2858003fab85b6439a79d6ed86a3dcc4b7c
:b86d6dfcaee121fe69851aeca7319e507b96d500
:5247dd94e5eb5d90145d7a6b86ccc3e7a2624b23
:bbdedcb9eb465e14af0ff1b4d9ec9b9bee0faf57
:af8a0cf22e6286f5a1c99545c1ed66b4a317986b
:9e64cc3ad43b578c31bf557cf60251f4275c6b06
:b06863e37ed8553f282a929588a1453c52630bcd
:b538c7a02e2e84d5413607406d86a1139fb40ffe
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2
:6b4c89f0983f92ce0b0bbcfee06037d51a6ee41e
:74288dfd3695ce5a043a1f963a2a5bb4770b745b
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:bfe78a8c603507f97b538d3f90408421fe089bc8
:230660e7b50046ace97b7c95c235375fdc1e2a07
:681ef4e2d87114f484eceb7489eb3359dc9be8d8
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:ced1ff22bfcc0894e6f9b8a94a13da2efa539f03
:541f63b83034968ecbe439021bdfa2af2af5d397
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:76f195c9e77180c38325a12d59ad79f8e19b8050
:c4b1f303950835fe1e9a5019ce1d368ef8249392
:34731edac080e73155caf41da2038c5625a087ca
:a6ad58b29f6163ac63f9eb7fc08bf0663764779b
:a07a121002425bb39c1f54c29bfce32d34cea2c1
:b86f00a668ca8dd79d7508fa5cd1894986085fd2
:48aea888319e1848137073c9cbde54a4c2a731c9
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:d259f77e246b7dde5797633a40e4a655375f9b97
:190d3ac124dd584d5cebf1fc892a27f8642f5e1c
:09964c492d50efe5e16f56001b3b6eccdd4e6f09
:34fdb31481906f347f8dd8215f0df5d3f074167b
:f3ce0db7eec4cacac8d5432d96fbb89adc037a20
:d7c5016a6ca41dbd304fd0912481ca40e73631d4
:1055e62099500981301b63d6b8d4c452484d18af
:9eb3646a4d95b88c0d8b57aa8b2a0ca01569cc6d
:508da7288e45bd15e41285b271e5edaaf2d9a1cf
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:0ab27c4f079bceb864665c96dfa4049fce32b43c
:886e076a93ae3bc92fb15c6e575d3ed17259d687
:49dcf62135a81acade74e2d930da6b585280e090
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:af84775651901b39ff6eb8869012ac9cb7f586f9
:f64bb367c162db81bf0fe0333746a42af3c67444
:3e87da6c0907f001a173d4a13e2c55070ff76b83
:ee1e6ca13df3b54b273b6c5b698c12001c9683f3
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:4365116f27d0b8916befe00333db576d32304815
:63c7c7bed1148408d81f8580cfb60e785d6b9441
:7a74b8582437adeef8b8614af30e2b91417dff51
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:708408740f7c7c4302b3bffb532e37ac7315a566
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:e103cad47ec6886d6bc49bf6a555f48dbc314dd9
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:46caf50b7b8405049cc76b9d88092acce249ec89
:585e18f56063dab8934660820f0c63765c6c1a1f
:4e07b77adb145cc6404542708f22dc48ded94731
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:9f1341d7a2236a2c66519f5118d1111b6fd4bb81
:e01f93e4d0104969c6f61e8413292ce88b940297
:0911ea7c180d733724f89037b8e8a34e64024aec
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:634eca0cadcf35206919dd5e6a8e2e8601276947
:08df96ae175decef8646568ee9c7849e500e77e8
:e5f626726497a81807681ed0088dbce6d6a1f17b
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:7c1b09f04b83e7980ccfdcac5458777a72ed490e
:15884fc2eaffdfd09ec4915204e24247ee799443
:fa94676074e67a6a878f2020edad400aa75a8181
:264bfd9d45950be27417615f22a11928f979af89
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:0df6d78c62bc7fa94f9f6dee4f56f603bd56036b
:4793c1512f43b6e52464adc6d7bccb308160b00c
:b6daf4d6231567e779f59e3ab5e7909ed5eb2cdf
:1c142de7d000e96c78486d6e5ef7704bd813db30
:5ac90ccacd76b252b278e42a3636015fae793bde
:c13e5eff81678c953c6e65b5b1a9623ddbd120f1
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:544eb865267266a3a113846a945482a0040a8134
:1df554be074fad44c270c5863ea25de31ab8d4c0
:d209b396f198879f49a4cce4bd445df16ab163b5
:411258dd13bfde5ebeba996eaa5703942827c374
:c5e453fe5d6318e6edd7588a5b50cb13611e2b32
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:8164c04fe43680778d29c2775cef453f494ab62b
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:95732a44ff4626574a2c981184614ecab521006f
:a7058457616c8548e784de3ed1b2c37259c62ca7
:de57147c7e231ab4c509f3476d10f1773a820a9f
:4f23f08f29b4950150b13ecb653bd3e73cea29e4
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:527be64fcddc18118c092eafc6ac62c7308dbce4
:2d5ba04c140872a46377fb954e7dd00512b1c1af
:1f2965e248d3e3bd74c4f1e7d6ad5eaa4125ccda
:c8e7f118041a9f77e0dd673da11b5653be27b5a2
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:c9fd3ef98c431e264085b62c459ad6ecbc09e16d
:390f528ebe8fde05aa427321bc28fb68c5198ab1
:0c87adc6608393abd770c2a540d7a455655a64a1
:a1920333deacdc9917d324ec2eda595e12d29e2e
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:1a7793c08ecf16e5aff57114be29da375f5cc5a2
:fbb65ff1806064c029b5a631cb5cebbf0ae715cf
:2c5b60b2c0c44e40c45b22e8ea71a8836fbe9344
:b6b988f6371c448661831265b6cba542e44db580
:83eaf534f789338ec43432c66a28bb7680834b45
:00f22750b90fe47821127c19f062d1c068a47ee3
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:c05a8dff82916b31db2e03747dadb8321398bcd2
:4953d1f613914126bccceb3cb96386647ffba9df
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:83c5aa509e604f41fef06b09b4e65b9de5954c04
:b4951f04c59dd621392b35934490d4bfca5b3dae
:a27ae828c1fc15ecf08bd3fe4e84cb04278f6203
:6b8b320585331c169ea5c8d6efddbe617725827e
:6b294485ea431f3af12c75d878ff66ebc5fe1c50
:e9daf980789f68a9735b674aeaccdc94362bd1ad
:dcaa3f91ad5f850b865c9d8347b35e37c8345cec
:ddaccb07249c19d72544053590a31401e305a762
:e567a4b498aa9dfc484575e666a17925f0944318
:eedc908aae85303be5fcc961bb293d7b37c97960
:ccda0d37b6bd1f39ffd20c5fe84f2724a1dc87bf
:b038838c10d38141b6ec19b40168be9caaa78286
:bb1384e54002c1c06cddc3945fffe75a93828516
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:1406558950ff100eb0320a325b3ea7961ba1a775
:7cdf9e9b898b041164bb3304071029813bbcd8d2
:413c765d19c40d59b3c55e882fba6bdab083e212
:0db327057a3cb14ad55b960d86715f8817fad087
:2371d3cd2d7f4ae5fc1aae837abe7e921ebc2885
:dd5dada4600e9f496abc0deecd6fa5be4597cfaf
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:90fe13fac734263f663981ce4d1691cf926ced25
:7c4077752ff43f64a483ba9bea9a09c83ddc3537

environ:
:XDG_SESSION_ID=1
:HOSTNAME=TesterTop4
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=25351043d7571ce3f6d9832000000022-1313617263.222832-1911827906
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-sgjvCc
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=ocrete
:USERNAME=ocrete
:MAIL=/var/spool/mail/ocrete
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ocrete/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ocrete
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1519
:LANG=en_CA.utf8
:GDM_LANG=en_CA.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/ocrete
:SHLVL=1
:LOGNAME=ocrete
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PRc5YJRRDV,guid=8068ecf162cf6f8003d90db40000003b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ocrete
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-ocrete-nMHqMK/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1527,unix/unix:/tmp/.ICE-unix/1527
:ORBIT_SOCKETDIR=/tmp/orbit-ocrete
:SSH_AUTH_SOCK=/tmp/keyring-sgjvCc/ssh
:GPG_AGENT_INFO=/tmp/keyring-sgjvCc/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-20095-TesterTop4-evolution-4_TIME220065932
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=771

var_log_messages:
:Aug 26 20:26:01 TesterTop4 kernel: [391639.772398] evolution[771]: segfault at 1f00000020 ip 000000322140f558 sp 00007fff733b1120 error 4 in libgobject-2.0.so.0.2800.8[3221400000+4c000]
:Aug 26 14:26:58 TesterTop4 abrt[22806]: saved core dump of pid 771 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2011-08-26-14:26:01-771.new/coredump (1319759872 bytes)

xsession_errors:
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:2027): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution-alarm-notify:1759): evolution-alarm-notify-WARNING **: alarm.c:252: Requested removal of nonexistent alarm!
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:2027): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:2027): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:2027): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:2027): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution-alarm-notify:1759): evolution-alarm-notify-WARNING **: alarm.c:252: Requested removal of nonexistent alarm!
:(evolution:26984): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:26984): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:26984): e-data-server-ui-WARNING **: Keyring key is unusable: no user or host name
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution:26984): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:26984): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution:26984): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:26984): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution-alarm-notify:1759): evolution-alarm-notify-WARNING **: alarm.c:252: Requested removal of nonexistent alarm!
:(evolution:26984): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:26984): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:26984): e-data-server-CRITICAL **: e_sexp_eval: assertion `f->tree != NULL' failed
:(evolution:26984): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:26984): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:26984): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:26984): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution-alarm-notify:1759): evolution-alarm-notify-WARNING **: alarm.c:252: Requested removal of nonexistent alarm!
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32557' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32570' in folder 'Unread'
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32571' in folder 'Unread'
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32572' in folder 'Unread'
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32573' in folder 'Unread'
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32574' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32578' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'Zww5SBV461151' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32605' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32609' in folder 'Unread'
:(evolution:771): evolution-mail-WARNING **: ml_sort_uids_by_tree: Cannot find uid 'scjjH3SG32608' in folder 'Unread'
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md1 != NULL' failed
:(evolution:771): evolution-mail-CRITICAL **: cmp_array_uids: assertion `md2 != NULL' failed
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution-alarm-notify:1759): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Error on line 1: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity - escape ampersand as &
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution-alarm-notify:1759): evolution-alarm-notify-WARNING **: alarm.c:252: Requested removal of nonexistent alarm!
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:771): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution:771): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:771): camel-WARNING **: Error message was: column folder_name is not unique
:(evolution:771): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:771): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:771): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
:(evolution:22842): libebook-WARNING **: e-book.c:3255: cannot get book from factory: Invalid source
:** (evolution:22842): WARNING **: bbdb: failed to get addressbook: Invalid source
:(evolution:22842): camel-WARNING **: CamelImapFolder::search_by_expression() set its GError but then reported success
:(evolution:22842): camel-WARNING **: Error message was: column folder_name is not unique

Comment 1 Olivier Crête 2011-08-26 19:40:43 UTC
Created attachment 520132 [details]
File: dso_list

Comment 2 Olivier Crête 2011-08-26 19:41:10 UTC
Created attachment 520133 [details]
File: backtrace

Comment 3 Olivier Crête 2011-08-26 19:41:15 UTC
Created attachment 520134 [details]
File: maps

Comment 4 Milan Crha 2011-08-31 05:25:15 UTC
Thanks for a bug report. Even this is crashing deep in gtk+ code, I do not believe it's gtk's fault, it's rather some kind of memory corruption causing such crash, though the backtrace itself doesn't show any other activity.

I see in your xsession_errors log that you have setup some invalid addressbook in Edit->Preferences->Mail Preferences->Automatic Contacts tab, the question is why it thinks it's an invalid book. Could you check what is set there and whether you can browse that book from a Contacts view, please?

The other errors are "column folder_name is not unique". I suppose it's relevant to your Search folders, like the "Unread" one. How is that search folder defined and what additional filters you've set on the folder, please? It's also possible that the ~/.local/share/evolution/mail/imap/<acccount>/folders.db file is broken after some crash, though it might be pretty unlikely.

The other warnings might not be that critical, I suppose.

Comment 5 Olivier Crête 2011-08-31 17:03:21 UTC
I have a Google AB and the local one. And I can browse both... It may be possible that when this crash happened there was another LDAP AB that was broken, but I'm not sure when I gave up on it.

I see  "column folder_name is not unique" when I switch to my Inbox, not on search folders. I've been having that for a while now.

The Unread folder just matches "Status" "is not" "Read" on all local and remote folders.

Comment 6 Milan Crha 2011-09-01 05:47:18 UTC
(In reply to comment #5)
> I have a Google AB and the local one. And I can browse both... It may be
> possible that when this crash happened there was another LDAP AB that was
> broken, but I'm not sure when I gave up on it.

OK, could you look into preferences what is set there, please? And possibly change it into something appropriate.

> I see  "column folder_name is not unique" when I switch to my Inbox, not on
> search folders. I've been having that for a while now.

Is it an IMAP Inbox or On This Computer Inbox? Did you try to elaborate with the folders.db file as I wrote in my previous comment? You can also run evolution from a console like this:
   $ CAMEL_DEBUG=all evolution &>log.txt
and then search for the error message, to see where it happened. I would try that as well. Note the log will be pretty large and it may expose private information, like server names, user names and even passwords, thus do not attach it is, rather take surrounding lines around the error and sanitize any private information from it before adding it here. Nonetheless, this still seems to me like corrupted folder.sdb file, the only question is which it is, if in ~/.local/share/evolution/mail/imap, .../imapx or .../local.

Comment 7 Fedora End Of Life 2012-08-07 17:05:50 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.